<?php

namespace App\Modules\HtlCampSchedule\Application\Create;

use App\Modules\HtlCampSchedule\Domain\HtlCampSchedule;
use App\Modules\HtlCampSchedule\Domain\HtlCampScheduleRepository;

final class HtlCampScheduleCreator
{
    public function __construct(private HtlCampScheduleRepository $repository)
    {
    }

    public function __invoke(HtlCampSchedule $creator)
    {
        return $this->repository->insert($creator);
    }
}
